/* aika.c */
/* 130598 */

#include <stdio.h>
#include <time.h>
#include <string.h>

char *kk[13] = { "", "tammikuu", "helmikuu",
	"maaliskuu", "huhtikuu", "toukokuu", "kesäkuu",
	"heinäkuu", "elokuu", "syyskuu", "lokakuu",
	"marraskuu", "joulukuu" };

#define MA 50

int main()
{

  time_t nytaika;
  char omaaika[MA+1], c;
  int pituus;
  struct tm *nytrak;

  printf("Lyö ENTER:iä, 0 lopettaaksesi\n");

  while ((c = getchar()) != '0') {
	  nytaika = time(NULL);
	  nytrak = localtime(&nytaika);
	  
	  strftime(omaaika, MA, "%d. ", nytrak);
	  strcat(omaaika, kk[nytrak->tm_mon + 1]);
	  pituus = strlen(omaaika);
	  strftime(omaaika+pituus, MA-pituus,
			   "ta %Y, %X", nytrak);
	  printf("%s\n", omaaika);
  }

  exit(0);
}
/* 11. toukokuuta 1999, 13:17:40 */
